<?php
session_start();
include "verifica.php";
include("../conexion.php");
include "correlativos.php";
include "validaciones.php";

@$xid=$_REQUEST['xid'];
@$xaccion=$_REQUEST['xaccion'];
@$xestado=$_REQUEST['xestado'];
@$xprd_codi=$_REQUEST['xprd_codi'];
@$xopealmdet_codi=$_REQUEST['xopealmdet_codi'];
@$xunimed_codi=$_REQUEST['xunimed_codi'];
@$xopealmdet_precio=$_REQUEST['xopealmdet_precio'];
@$xopealmdet_cantidad=$_REQUEST['xopealmdet_cantidad'];
@$xanotaciones=$_REQUEST['xanotaciones'];
@$xnro_documento=$_REQUEST['xnro_documento'];
@$xdocumento=$_REQUEST['xdocumento'];
@$xmonto=$_REQUEST['xmonto'];
@$xmediopago=$_REQUEST['xmediopago'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];
@$xs_usu_codi=$_SESSION['s_usu_codi'];


@$xfecha=$_REQUEST['xfecha'];
@$xproveedor=$_REQUEST['xproveedor'];                        
@$xpagotipo=$_REQUEST['xpagotipo'];

@$xidtrans=$_REQUEST['xidtrans'];


			?>
			<script language="javascript">
			//alert("XACCION: <?php echo $xaccion; ?>");     
			</script>			
			<?php		


	?>
	<script language="javascript">
	parent.document.getElementById('xproveedor').disabled = true;
	</script>			
	<?php



$pre = new Presupuestos;

switch($xaccion){
		
	case "modificar": 
		if($pre->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados satisfactoriamente.");			
			//xop=parent.parent.document.getElementById('xop').value;
			//parent.parent.location.href="../caja.php";
			parent.document.form_buscar.submit();
		
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($adet->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";
			
			//alert("essss");
			
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";				
			</script>			
			<?php
			
		}		
		break;
				
	case "guardar_nuevo_caja":
		/*
		if($vali->caja_estado($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("Es necesario aperturar una caja.")
			</script>			
			<?php
		
		}else{
		*/	
			if($pre->guardar_nuevo_caja($conexion)==1){
				//echo "guardar_unidad";
				?>			
				<script language="javascript">
				alert("Presupuesto guardado satisfactoriamente.")
				//parent.location.href="../caja.php";
				parent.document.form_buscar.submit();
				</script>			
				<?php			
			}
		
		//}
						
		break;						
		
	case "generar_idtrans":
		if($adet->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($pre->activar($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;

	case "activar_verificar":
		if($caj->activar_verificar($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;



}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Presupuestos{


	//Guarda Modificaciones de operación de caja
	function modificar($conexion){
	
			?>
			<script language="javascript">
			//alert("esss..se");
			//alert("sisisi: <?php echo $xid; ?> - <?php echo $xprd_codi; ?> - <?php echo $xidtrans; ?> ");     
			</script>			
			<?php		

		global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xdocumento,$xnro_documento,$xmonto, $xusuario_sesion,$xmediopago;	
		
		//ACTUALIZA LA CABECERA DE OPERACIÓN DE CAJA
		$r2=mysqli_query($conexion,"UPDATE presupuestos set pre_fecha='$xfecha',																		 
														per_codi_fk='$xproveedor',
														opecajtip_codi_fk='$xpagotipo',
														pre_anotaciones='$xanotaciones',
														pre_monto='$xmonto',
														pre_usu_modifica = '$xusuario_sesion'
												WHERE pre_codi=$xid;");																						
		
		if($r2){	
					
			return 1;
		
		}			
	}	
	




	//Elimina
	function eliminar($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi;		

		$r = mysqli_query($conexion,"delete from temporal_operacion_almacen_detalle_ where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		




	//Guarda nuevo caja
	function guardar_nuevo_caja($conexion){
	
		global $xid,$xprc_codi,$xopealmdet_codi,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xnro_documento,$xdocumento,$xmonto, $xusuario_sesion,$xmediopago,$cor,$vali,$xs_usu_codi;
		
		$correlativo = $cor->presupuesto($conexion);	
		
		//$xcaj_codi = $vali->caja_abierta($conexion);	
		
		$s_empresa = $_SESSION['s_empresa'];		


			/*
										$xxx = "INSERT INTO movimiento_caja (movcaj_fechahora, movcaj_fecha, movcaj_numero, per_codi_fk, opecajtip_codi_fk, movcaj_anotaciones, movcaj_monto, movcaj_usu_crea, medpag_codi_fk, caj_codi_fk, emp_codi_fk) VALUES(NOW(), '$xfecha', '$correlativo', $xproveedor, $xpagotipo, '$xanotaciones', $xmonto, '$xusuario_sesion', '$xmediopago', '$xcaj_codi', '$s_empresa');";
			*/															
			?>
			<script language="javascript">
			//alert("xxx: <?php echo $xxx; ?>");

			</script>			
			<?php																		
																		
		
		$r2=mysqli_query($conexion,"INSERT INTO presupuestos (pre_fechahora,
																		pre_fecha,
																		pre_numero,																		
																		per_codi_fk,
																		opecajtip_codi_fk,																		
																		pre_anotaciones,
																		pre_monto,
																		pre_usu_crea,
																		emp_codi_fk) 
																VALUES(NOW(),
																		'$xfecha',
																		'$correlativo',
																		'$xproveedor',
																		'$xpagotipo',
																		'$xanotaciones',
																		$xmonto,
																		'$xusuario_sesion',
																		'$s_empresa');");				
		
		if($r2){	
					
			return 1;
		
		}		
	}		







	//Activa operacion de caja
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;			

		$r = mysqli_query($conexion,"update presupuestos set pre_estado = $xestado,
															   pre_usu_activa = '$xusuario_sesion'
															    
															where pre_codi = $xid;");
		
		if($r){		

			return 1;
		}		
	}	



	//Activa operacion de caja
	function activar_verificar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;			
		
		$xverificacion=0;
		
		$r_busca = mysqli_query($conexion,"SELECT * FROM orden_pedido_caja opc INNER JOIN orden_pedido op ON opc.ordped_codi_fk=op.ordped_codi where opecaj_codi_fk=$xid;");
		
		if(mysqli_num_rows($r_busca) ){		
		
			while($row_busca=mysqli_fetch_array($r_busca)){
				$xordped_numero = $row_busca['ordped_numero'];
				$xverificacion=1;
				
				?>
				<script language="javascript">
				alert('Registro relacionado a la orden de pedido nro: <?php echo $xordped_numero;?>. Su cambio de estado puede provocar alteraciones.');
				parent.cambiar_estado_caja(<?php echo $xid;?>,<?php echo $xestado;?>);
				</script>
				<?php			
				
			}		

		}else{
		
			?>
			<script language="javascript">
			parent.cambiar_estado_caja(<?php echo $xid;?>,<?php echo $xestado;?>);
			</script>
			<?php	
		}	
						
		
	}	





}








?>

